package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class GoblinMixDetailsVo implements Serializable, Cloneable {
    @ApiModelProperty(position = 0, value = "活动id")
    private String mixId;

    @ApiModelProperty(position = 1, value = "活动名称")
    private String name;
    @ApiModelProperty(position = 2, value = "开始时间")
    private String timeStart;
    @ApiModelProperty(position = 3, value = "结束时间")
    private String timeEnd;
    @ApiModelProperty(position = 4, value = "展示位置[1-商城|2-数字藏品]")
    private String showPosition;
    @ApiModelProperty(position = 5, value = "组合名称")
    private String sellName;
    @ApiModelProperty(position = 6, value = "平台一级分类")
    private String cateFName;
    @ApiModelProperty(position = 7, value = "平台二级分类")
    private String cateSName;
    @ApiModelProperty(position = 8, value = "平台三级分类")
    private String cateTNAME;
    @ApiModelProperty(position = 9, value = "商品简介/购买须知")
    private String intro;
    @ApiModelProperty(position = 10, value = "封面图片地址")
    private String coverPic;
    @ApiModelProperty(position = 11, value = "商品视频地址/数字昌平视频地址")
    private String video;
    @ApiModelProperty(position = 12, value = "商品详情/藏品详情")
    private String details;
    @ApiModelProperty(position = 13, value = "展示文件类型[1-图片|2-视频")
    private String watchType;
    @ApiModelProperty(position = 14, value = "数字藏品图片地址")
    private String detailUrl;
    @ApiModelProperty(position = 14, value = "设置库存")
    private String stock;
    @ApiModelProperty(position = 15, value = "锁定库存")
    private String stockLock;
    @ApiModelProperty(position = 16, value = "是否锁定[0-否|1-是]")
    private String isLock;
    @ApiModelProperty(position = 17, value = "限购数量[0-无限]")
    private String limit;
    @ApiModelProperty(position = 18, value = "白名单类型[0-会员|1-指定用户|2-全部用户]")
    private String whiteType;
    @ApiModelProperty(position = 19, value = "白名单xls地址")
    private String whiteUrl;
    @ApiModelProperty(position = 20, value = "配置详情")
    private List<GoblinMixDetailsItemVo> item;


    private static final GoblinMixDetailsVo obj = new GoblinMixDetailsVo();

    public static GoblinMixDetailsVo getNew() {
        try {
            return (GoblinMixDetailsVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinMixDetailsVo();
        }
    }
}
